commit:     c784563cfc781e35920cd55931061565e944ce3c
Author:     Jakov Smolic <jakov.smolic <AT> sartura <DOT> hr>
AuthorDate: Sat Nov 14 20:20:16 2020 +0000
Commit:     David Seifert <soap <AT> gentoo <DOT> org>
CommitDate: Sat Nov 14 20:20:16 2020 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=c784563c

sys-fabric/libocrdma: disable static libs

Closes: https://bugs.gentoo.org/725970
Package-Manager: Portage-3.0.4, Repoman-3.0.1
Signed-off-by: Jakov Smolic <jakov.smolic <AT> sartura.hr>
Signed-off-by: David Seifert <soap <AT> gentoo.org>

 sys-fabric/libocrdma/libocrdma-1.0.2.ebuild | 11 ++++++++++-
 1 file changed, 10 insertions(+), 1 deletion(-)

diff --git a/sys-fabric/libocrdma/libocrdma-1.0.2.ebuild 
b/sys-fabric/libocrdma/libocrdma-1.0.2.ebuild
index 35a150e9352..539124d24d1 100644
--- a/sys-fabric/libocrdma/libocrdma-1.0.2.ebuild
+++ b/sys-fabric/libocrdma/libocrdma-1.0.2.ebuild
@@ -1,4 +1,4 @@
-# Copyright 1999-2018 Gentoo Foundation
+# Copyright 1999-2020 Gentoo Authors
 # Distributed under the terms of the GNU General Public License v2
 
 EAPI="5"
@@ -20,3 +20,12 @@ DEPEND="
 RDEPEND="
                !sys-fabric/openib-userspace"
 block_other_ofed_versions
+
+src_configure() {
+       econf --disable-static
+}
+
+src_install() {
+       default
+       find "${ED}" -name '*.la' -delete || die
+}

Reply via email to